Package org.codehaus.groovy.ast.expr

# Interface ExpressionTransformer

All Known Implementing Classes:
  `ClassCodeExpressionTransformer`, `FieldASTTransformation`, `JavaAwareResolveVisitor`, `NewifyASTTransformation`, `OptimizerVisitor`, `ResolveVisitor`, `StaticCompilationTransformer`, `StaticImportVisitor`, `VariableExpressionTransformer`

public interface ExpressionTransformer
Provides a way to transform expressions

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Expression`
  `transform(Expression expression)`
  Transforms the given expression into another expression

- ## Method Details

  - ### transform

    Expression transform(Expression expression)
    Transforms the given expression into another expression